"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WorkflowTaskEditMenuContribution = exports.WorkflowTaskEditCommandContribution = exports.WorkflowTaskEditingCommands = void 0;
/********************************************************************************
 * Copyright (c) 2020 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
var direct_task_editor_1 = require("@eclipse-glsp-examples/workflow-glsp/lib/direct-task-editing/direct-task-editor");
var model_1 = require("@eclipse-glsp-examples/workflow-glsp/lib/model");
var client_1 = require("@eclipse-glsp/client");
var browser_1 = require("@eclipse-glsp/theia-integration/lib/browser");
var browser_2 = require("@theia/core/lib/browser");
var inversify_1 = require("inversify");
var WorkflowTaskEditingCommands;
(function (WorkflowTaskEditingCommands) {
    WorkflowTaskEditingCommands.EDIT_TASK = 'glsp-workflow-edit-task';
})(WorkflowTaskEditingCommands = exports.WorkflowTaskEditingCommands || (exports.WorkflowTaskEditingCommands = {}));
var WorkflowTaskEditCommandContribution = /** @class */ (function () {
    function WorkflowTaskEditCommandContribution() {
    }
    WorkflowTaskEditCommandContribution.prototype.registerCommands = function (commands) {
        commands.registerCommand({ id: WorkflowTaskEditingCommands.EDIT_TASK, label: 'Direct Edit Task' }, new browser_1.GLSPCommandHandler(this.shell, {
            actions: function (context) { return [new client_1.SetUIExtensionVisibilityAction(direct_task_editor_1.TaskEditor.ID, true, [context.selectedElements[0].id])]; },
            isEnabled: function (context) { return !context.isReadonly && context.selectedElements.filter(model_1.isTaskNode).length === 1; }
        }));
    };
    __decorate([
        inversify_1.inject(browser_2.ApplicationShell),
        __metadata("design:type", browser_2.ApplicationShell)
    ], WorkflowTaskEditCommandContribution.prototype, "shell", void 0);
    WorkflowTaskEditCommandContribution = __decorate([
        inversify_1.injectable()
    ], WorkflowTaskEditCommandContribution);
    return WorkflowTaskEditCommandContribution;
}());
exports.WorkflowTaskEditCommandContribution = WorkflowTaskEditCommandContribution;
var WorkflowTaskEditMenuContribution = /** @class */ (function () {
    function WorkflowTaskEditMenuContribution() {
    }
    WorkflowTaskEditMenuContribution_1 = WorkflowTaskEditMenuContribution;
    WorkflowTaskEditMenuContribution.prototype.registerMenus = function (menus) {
        menus.registerMenuAction(WorkflowTaskEditMenuContribution_1.EDIT, { commandId: WorkflowTaskEditingCommands.EDIT_TASK });
    };
    var WorkflowTaskEditMenuContribution_1;
    WorkflowTaskEditMenuContribution.EDIT = browser_1.GLSPContextMenu.MENU_PATH.concat('edit');
    WorkflowTaskEditMenuContribution = WorkflowTaskEditMenuContribution_1 = __decorate([
        inversify_1.injectable()
    ], WorkflowTaskEditMenuContribution);
    return WorkflowTaskEditMenuContribution;
}());
exports.WorkflowTaskEditMenuContribution = WorkflowTaskEditMenuContribution;
//# sourceMappingURL=workflow-task-editing-context-menu.js.map